#include <bits/stdc++.h>
using namespace std;

int main() {
    long long T, N, M, K;
    cin>>T;
    for(int i=0; i<T; i++) {
        cin>>N>>M>>K;
        long long a=N/K;
        long long b=N%K;
        if(M>=a*(a+1)/2*K+b*(a+1)) cout<<"Tak";
        else cout<<"Nie";
    }
    return 0;
}